cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
tashkerm
Pilgrim

error -5008: intel64 or amd64 must be specified in the template of the summary

Just a note about the above error in standalone IX2011. I recently transitioned from VS08 to VS10 for a whole lotta DLLs and EXEs, some c#, some native c++, some managed c++. I got the error above for managed c++ DLLS or for EXEs dependent on them. And they're all 32-bit, not a x64 in the lot. Turns out that the conversion wizard from VS08 to VS10 changes the dependency to .net 4.0 from 3.5. And IX2011 seems to have a problem with that and wants to add VC10CRT (x64) to the installation. Thus the error.

I changed those projects (.vcxproj) back to framework 3.5 (which, BTW, isn't instantly obvious how to do--it's not doable through VS10 directly, you have to hand-edit the .vcxproj file). Now all is well. I think we're seeing a bug in IX2011, but here's the workaround.
Labels (1)
0 Kudos
6 Replies
tashkerm
Pilgrim

Re: error -5008: intel64 or amd64 must be specified in the template of the summary

Well, the problem is indeed IX2011. I created a new, from-scratch managed c++ 32-bit DLL using VS 2010. .net framework 4.0. Build with IX, which then tells me:

"Adding merge module 'Visual C++ 10.0 CRT (x64)' that is a dependency of component whatever.dll"

And at the end it says:

"ISEXP : error -5008: Intel64 or AMD64 must be specified in the template of the Summary Stream"

If I insert the following into the .vcxproj file:

v3.5

right under the line


then it becomes a .net 3.5 DLL and IX has no problem with it.

Anyone from the IX team reading this? It's a bug, guys.
0 Kudos
brabin
Pilgrim

error -5008: intel64 or amd64 must be specified in the template of the summary

I came across this post while looking for a solution to the same problem. I then ran into the issue that to re-compile my ActiveX control with .NET Framework 3.5 support I need to have Visual Studio 2008 installed. Since my project uses MFC, this would be a hassle to build with the Express edition.

Bottom line was that I did not want to have to re-compile...
My searching eventually got me to an acceptable (and easy) solution.

http://stackoverflow.com/questions/5391402/install-shield-le-error-6058-merging-visual-c-10-0-crt-in...

"So you go to:

Specify application Data -> Files

Right click on the specified project that had the dependency.
Choose Dependencies from scan at build.. find that unwanted file, and uncheck it."

Using that solution solved the issue. Hope this helps anyone else running into this problem.
0 Kudos
VinayIndia
Pilgrim

Solution for Error :- 5008

This issue is because one of your component in the project is marked as a 64-bit component.
So in this case, you need to set the template of the Summary Stream with a platform of Intel64 or x64,
so your built setup will support 64-bit architecture.

To do this follow below steps:

1) Go to "General Information" view.

2) Go to the "Summary Information Stream" section.

3) In "Template Summary" property, set the platform to Intel64 or x64.

(If the original value is : Intel;1033 then change it to x64;1033)
0 Kudos
YoubiKatsu
Pilgrim

No "Template Summary" property in the "Summary Information Stream" section

I recently installed Visual Studio 2012 Professional (Version 11.0.60315.01 Update 2) and tried
to make an setup project.
When I built it, I got "error -5008". With a reference of this thread, I tried to but never found the "Template Summary" property.
The steps are:

1. Choose the "General Information" Node in the 1"Organize Your Setup"
2. "Summary Information Stream" is shown
3. There are following fields, but without the "Template Summary" propery
Title
Subject
Author
Keywords
Summary Information Stream Comments
Schema
Require Administrative Privileges

Please help if there is anything wrong?
Thanks.
0 Kudos
robertmeyer
Pilgrim

Re: error -5008: intel64 or amd64 must be specified in the template of the summary


With a reference of this thread, I tried to but never found the "Template Summary" property


I'm having the exact problem;

Does anyone have the answer?
0 Kudos
wiggers
Pilgrim

Re: error -5008: intel64 or amd64 must be specified in the template of the summary

You might have to click the + symbol next to Summary Information Stream to expand it if it is collapsed. Template Summary is the 6th item.
0 Kudos